import { NgModule } from '@angular/core';
import { DARSViewComponent } from './dars-view/dars-view.component';
import { EffectsModule } from '@ngrx/effects';
import { SharedModule } from '@app/shared/shared.module';
import { DARSEffects } from './store/effects';
import { DarsAuditComponent } from './audit/audit.component';
import { DarsMetadataTableComponent } from './metadata-table/metadata-table.component';

@NgModule({
  imports: [EffectsModule.forFeature([DARSEffects]), SharedModule],
  exports: [],
  declarations: [
    DARSViewComponent,
    DarsAuditComponent,
    DarsMetadataTableComponent,
  ],
  entryComponents: [],
})
export class DARSModule {}
